Manage user information.
Operations
getActivityPagedListSelectFields
Retrieves a paged list of selected fields for activities.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
UserNumberintegerrequiredThe user number for the activity.Loading fields…
symstringrequired- Sym number
TokenstringoptionalThe tokenized value for the activity.Loading fields…
/nexum/{sym}/2022.01/user/getActivityPagedListSelectFieldsPOST /nexum/627/2022.01/user/getActivityPagedListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"UserNumber": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllActivityFields": false,
"ActivityFields": {
"UserNumber": true,
"Date": true,
"Time": true,
"Branch": true,
"Console": true,
"Session": true,
"HelpCode": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}searchActivityPagedSelectFields
Searches activities with pagination and selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
UserNumberintegerrequiredThe user number for the activity.QuerystringrequiredThe filtering query string.Loading fields…
symstringrequired- Sym number
TokenstringoptionalThe tokenized value for the activity.Loading fields…
/nexum/{sym}/2022.01/user/searchActivityPagedSelectFieldsPOST /nexum/627/2022.01/user/searchActivityPagedSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"UserNumber": 0,
"Query": "string",
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"SelectableFields": {
"IncludeAllActivityFields": true
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getUserTracking
Retrieves information about user tracking.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
UserNumberintegerrequiredThe user number for the activity.UserTrackingLocatorintegerrequiredThe locator for user tracking.Loading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/user/getUserTrackingPOST /nexum/627/2022.01/user/getUserTracking HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"UserNumber": 0,
"UserTrackingLocator": 0,
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getUserTrackingSelectFields
Retrieves information about user tracking with selected fields.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
UserNumberintegerrequiredThe user number for the activity.UserTrackingLocatorintegerrequiredThe locator for user tracking.Loading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/user/getUserTrackingSelectFieldsPOST /nexum/627/2022.01/user/getUserTrackingSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"UserNumber": 0,
"UserTrackingLocator": 0,
"SelectableFields": {
"IncludeAllUserTrackingFields": false,
"UserTrackingFields": {
"Locator": true,
"TrackingCode": true,
"UserChar1": true,
"UserCode1": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getUserTrackingPagedList
Retrieves a paged list of user tracking.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
UserNumberintegerrequiredThe user number for the activity.Loading fields…
symstringrequired- Sym number
TokenstringoptionalThe tokenized value for the activity.Loading fields…
/nexum/{sym}/2022.01/user/getUserTrackingPagedListPOST /nexum/627/2022.01/user/getUserTrackingPagedList HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"UserNumber": 0,
"PagingRequestContext": {
"NumberOfRecordsToReturn": 0,
"NumberOfRecordsToSkip": 0
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}getUserTrackingListSelectFields
Retrieves a list of selected fields for user tracking.
AuthorizationstringrequiredAuthenticate with your JWT.
Bearer YOUR_TOKENFor setup help, see the authentication guide.
UserNumberintegerrequiredThe user number for the activity.Loading fields…
symstringrequired- Sym number
Loading fields…
/nexum/{sym}/2022.01/user/getUserTrackingListSelectFieldsPOST /nexum/627/2022.01/user/getUserTrackingListSelectFields HTTP/1.1
Host: naas.ymcu.libum.io
Accept: application/json
Authorization: Bearer YOUR_JWT
Content-Type: application/json
{
"Credentials": {
"AdministrativeCredentials": {
"Password": "suwn37834b91&"
}
},
"UserNumber": 0,
"SelectableFields": {
"IncludeAllUserTrackingFields": false,
"UserTrackingFields": {
"Locator": true,
"Type": true,
"CreationDate": true
}
},
"nxAttributes": {
"customFields": {
"appId": "string"
}
}
}